Add fTools modules

2012-07-05 03:15 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15376

Description

Please add the missing tools from fTools; I spotted Random and regular point generation, but there are more.

History

#1 - 2012-07-26 05:07 AM - Alexander Bruy

- Status changed from Open to In Progress

- Assignee set to Alexander Bruy

- Category set to 61

#2 - 2014-05-30 02:03 AM - Alexander Bruy

Several tools for random points generation added in master

#3 - 2014-09-15 09:40 AM - Alexander Bruy

Just checked and seems almost all algorithms now available via Processing, only few missed. But there is a question: what to do with duplicated

algorithms? For instance we already have "Grid" algorithm in Processing (from mmqgis) but fTools also has similar algorithm. Do we want this duplicated

algorithm?

Similarly, there is already script "Split vector layer by attributes" which duplicates fTools "Split vector layer" algorithm. Do we want this duplication too? As

scripts by default not included, I think it is better to have this in core but on other hand one can easily install necessary scripts.

#4 - 2014-10-04 11:48 AM - Giovanni Manghi

- Category deleted (61)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Assignee changed from Alexander Bruy to Victor Olaya

- Project changed from 78 to QGIS Application

#5 - 2014-10-04 11:49 AM - Giovanni Manghi

- Category set to Processing/QGIS

#6 - 2014-11-01 05:47 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

- Assignee changed from Victor Olaya to Alexander Bruy
Last missed modules added in master. Please reopen if necessary.
